searchData={"items":[{"type":"extras","title":"mcp-proxy","doc":"# mcp-proxy\n\nAn Elixir escript for connecting STDIO based MCP clients to HTTP (SSE) based MCP servers.\n\nNote: At the moment this only works with MCP servers that use the `2024-11-05` specification.","ref":"readme.html"},{"type":"extras","title":"Installation - mcp-proxy","doc":"```bash\n$ mix escript.install hex mcp_proxy\n```\n\nThe escript is installed into your HOME's `.mix` directory: `/path/to/home/.mix/escripts/mcp-proxy`. It is advised to add the escripts directory to your `$PATH` but you can use the full path if preferred.\n\nIf you have an SSE MCP server available at `http://localhost:4000/tidewave/mcp`, a client like Claude Desktop would then be configured like this:\n\n```json\n{\n  \"mcpServers\": {\n    \"my-server\": {\n      \"command\": \"/path/to/home/.mix/escripts/mcp-proxy\",\n      \"args\": [\"http://localhost:4000/tidewave/mcp\"]\n    }\n  }\n}\n```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - mcp-proxy","doc":"`mcp-proxy` either accepts the SSE URL as argument or using the environment variable `SSE_URL`. For debugging purposes, you can also pass `--debug`, which will log debug messages on stderr.","ref":"readme.html#configuration"},{"type":"extras","title":"Changelog","doc":"# Changelog","ref":"changelog.html"},{"type":"extras","title":"0.3.0 (2025-04-23) - Changelog","doc":"* Enhancements\n  * Automatically try to reconnect when the SSE connection closes.\n    This can be adjusted by setting the `--max-disconnected-time` parameter,\n    which defines the number of seconds the proxy tries to reconnect. By default, it retries\n    indefinitely. To close the proxy on disconnect, this value can be set to `0`.\n  * Notice: in order to support reconnects, the proxy transparently rewrites the IDs of\n    received and sent JSON ID messages.","ref":"changelog.html#0-3-0-2025-04-23"},{"type":"extras","title":"0.2.0 (2025-04-22) - Changelog","doc":"* API adjustments\n  * the escript is called `mcp-proxy` instead of `mcp_proxy` now\n  * remove `--url` flag and use first argument instead: `mcp-proxy http://localhost:4000/tidewave/mcp`\n* Bug fixes:\n  * ensure script terminates early when SSE connection closes","ref":"changelog.html#0-2-0-2025-04-22"},{"type":"extras","title":"0.1.0 (2025-04-14) - Changelog","doc":"Initial release.","ref":"changelog.html#0-1-0-2025-04-14"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}